Skip to main content
GET
/
contracts
List contracts
curl --request GET \
  --url https://api.vanta.com/v1/contracts \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "65e1efde08e8478f143a8ff9",
        "name": "Example Contract",
        "customerTrustAccountId": null,
        "executedDate": "2024-01-15T00:00:00.000Z",
        "creationDate": "2024-01-01T00:00:00.000Z"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "65e1efde08e8478f143a8ff9",
      "endCursor": "65e1efde08e8478f143a8ff9"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required